/* Styling for DDMS Study filter controls */

.btn-quick-nav {
  color: var(--btn-quick-nav-color);
  border-color: #CCCCCC;
}

.btn-quick-nav>i {
  color: var(--btn-quick-nav-color);
}

.filter-select {
  position: absolute;
  top: 50%;
  -webkit-transform: translate(0, -50%);
  -moz-transform: translate(0, -50%);
  -ms-transform: translate(0, -50%);
  -o-transform: translate(0, -50%);
  transform: translate(0, -50%);
  left: 0;
}

.filter-select>label {
  font-size: 20px;
  color: #636;
  margin-right: 5px;
}

.filter-select>.btn-group {
  vertical-align: text-bottom;
  margin-left: 5px;
}

.filter-select>select {
  vertical-align: text-bottom;
}

/* END - Styling for DDMS Study filter controls */

/* Styling for table filter controls */

.tbl-filter-controls {
  width: 100%;
}

.tbl-filter-controls>div {
  display: inline-block;
}

.tbl-filter-controls>btn-group {
  margin-left: 20px;
}

.tbl-filter-controls>input {
  line-height: 14px;
  margin-left: 5px;
}

.ddms-hide {
    display: none;
}

/* END - Styling for table filter controls */

.tree-toggle {
  position: relative;
  width: 100%;
  height: 35px;
  margin: 5px 0;
  text-align: right;
}

.tree-toggle>h5 {
  display: inline-block;
}

.tree-toggle span {
  display: inline-block;
  vertical-align: middle;
  margin-left: 5px;
  margin-top: 5px;
}

.switch-flat:checked+label, .switch-flat:checked+label:after {
  background-color: #020927;
}

@media only screen and (max-width: 320px) {
  .tbl-filter-controls>div>input {
    margin: 5px 0 5px 0;
    width: 100%;
  }
  .tbl-filter-controls>btn-group {
    margin: 5px 0 5px 0;
  }
}

@media only screen and (max-width: 800px) {
  .filter-select {
    display: block;
    margin: 0;
    position: relative;
    top: 0;
    -webkit-transform: none;
    -moz-transform: none;
    -ms-transform: none;
    -o-transform: none;
    transform: none;
  }
  .tbl-filter-controls>input {
    padding: 0;
    margin-left: 0;
  }
  .tree-toggle {
    text-align: left;
    margin-top: 0;
  }
}

/*Styling for card-like element*/

.card {
  position: relative;
  border: 1px solid #B3C0CA;
  background-color: white;
}

/*Styling for card title section*/

/*Basically a panel header*/

.card-title {
  border: 1px solid #B3C0CA;
  padding: 5px;
  background-color: var(--card-title-color);
  color: white;
  height: 30px;
  border-bottom: 1px solid #B3C0CA;
}

.card-title>span {
  margin: 15px 15px 15px 5px;
  font-size: 24px;
  font-weight: bold;
}

.card-title-icon {
  display: inline;
  vertical-align: middle;
  padding-right: 25px;
}

.card-title>span>.fa-pull-right {
  margin: .35em .5em 0 0;
}

.card-title>i {
  color: white;
  float: left;
}

/*Styling for card content section*/

.card-content {
  padding: 10px 0;
  position: relative;
  height: 100%;
}

.card-content-col {
  margin: 0 0 5px 0;
}

.card-content .crumbs-container {
  margin: 10px 0;
  padding: 0 20px;
}

.view-info-container {
  position: relative;
}

.progress-bar {
  background-color: #636;
}

/*Used to display the node attributes*/

.card-atts-container {
  margin: 0 15px;
  padding-left: 5px;
  font-size: 14px;
}

.card-atts-container>h1 {
  margin-top: 0;
}

.card-atts-container > div {
    margin: 10px 0 10px 0;
    padding-left: 0 !important;
}

.card-atts-container>ul {
  margin-left: 5px;
  padding-left: 5px;
  list-style-type: none;
}

.card-atts-container>.atts-list {
  margin-left: 0;
  padding-left: 0;
}

.card-atts-sub-container {
    padding: 0;
    font-size: 10pt;
}

 
.details-title>span {
  margin-top: 5px;
  margin-bottom: 5px;
  vertical-align: top;
  display: inline-block;
}

/*END - Used to display the node attributes*/

/* Styling for node item views (codebook, variable list, variable info, etc.)*/

.viewables-container {
  margin: 15px;
  padding-left: 5px;
  font-size: 18px;
}

.viewables-container>a {
  margin: 0 25px 0 0;
  float: left;
}

.viewables-container>ul {
  list-style-type: none;
  margin-left: 5px;
  padding-left: 5px;
}

.viewables-container li {
  margin: 10px 0 10px 0;
}

.viewables-container li i {
  padding-right: 10px;
}

.variable-container {
    margin: 15px;
    padding-left: 5px;
    font-size: 18px;
}

.variable-container h1 {
    margin-top: 10px;
    margin-bottom: 20px;
}

.content-item-viewer {
  margin: 0 20px;
}

.info-container {
  min-height: 350px;
}

.docs-list a {
  padding-left: 5px;
}

.var-view {
  border: 1px solid #ccc;
  position: absolute;
  width: 90%;
  top: 100px;
  background-color: white;
  z-index: 50;
}

.var-view>.var-view-container {
  border: 2px solid #777;
}

.var-view-title {
  height: 25px;
  background-color: #777;
  color: white;
}

.var-view-title>span {
  float: left;
  color: white;
  padding-left: 5px;
}

.var-view-title>i {
  float: right;
  padding: 5px;
  color: white;
  cursor: pointer;
}

.var-view-body {
  padding: 5px;
}

.var-view-toolbar {
  line-height: 5px;
  padding: 10px;
  height: 48px;
  background-color: #636;
  border: 1px solid #ccc;
  color: #FFF;
}

.var-view-toolbar-btn {
  cursor: pointer;
  background-color: #FFF;
  color: #636;
  border: 1px solid #636;
}

.var-view-toolbar-col {
  float: left;
  margin: 0 10px 0 0;
}

.var-list-toolbar {
  margin: 10px 0;
  width: 100%;
}

.var-list-toolbar>.btn-toolbar {
  float: left;
}

.var-list-toolbar>.var-count {
  float: right;
}

.action-container {
  z-index: 11001;
  position: absolute;
  background-color: white;
  width: 60%;
  top: 0;
  left: -10%;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
  border: 2px solid #9E9E9E;
}

.action-container>.title {
  height: 20px;
  background-color: #636;
  border-bottom: 2px solid #9E9E9E;
}

.action-container>.content {
  padding: 0 10px;
  margin-bottom: 10px;
}

.codebook-gen-title {
  height: 80px;
  padding: 10px;
}

.codebook-gen-title>#matrixLoader {
  display: inline-block;
  vertical-align: middle;
  margin-right: 5px;
}

.codebook-gen-title>p {
  float: left;
  line-height: 60px;
  margin: auto;
  font-size: 24px;
  font-weight: bold;
  margin-left: 10px;
  color: #636;
}

/* END - Styling for node item views (codebook, variable list, variable info, etc.)*/

.var-cart-in {
  -webkit-animation: cartfade 1s;
  -moz-animation: cartfade 1s;
  -o-animation: cartfade 1s;
  animation: cartfade 1s;
}

@-webkit-keyframes cartfade {
  0% {
    opacity: .05;
  }
  25% {
    opacity: .25;
  }
  50% {
    opacity: .50;
  }
  100% {
    opacity: 1;
  }
}

@-moz-keyframes cartfade {
  0% {
    opacity: .05;
  }
  25% {
    opacity: .25;
  }
  50% {
    opacity: .50;
  }
  100% {
    opacity: 1;
  }
}

@keyframes cartfade {
  0% {
    opacity: .05;
  }
  25% {
    opacity: .25;
  }
  50% {
    opacity: .50;
  }
  100% {
    opacity: 1;
  }
}

@media only screen and (max-width: 320px) {
  .viewables-container {
    padding-left: 0;
  }
}

@media only screen and (max-width: 640px) {
  .card-content {
    /*margin-bottom: 250px;*/
  }
}

@media only screen and (max-width: 800px) {
  .card-content .crumbs-container {
    margin: 0;
    padding-bottom: 5px;
  }
  .card-atts-container>ul {
    margin-left: 0;
    padding-left: 0;
  }
  .card-atts-container li {
    padding-top: 10px;
    padding-bottom: 10px;
  }
  .card-atts-container h1, .card-atts-container h3 {
    margin-top: 10px;
    margin-bottom: 10px;
    font-weight: bolder;
  }
  .var-list-toolbar {
    margin: 0;
  }
  .var-list-toolbar>.btn-toolbar, .var-list-toolbar>.var-count {
    float: none;
  }
}

/*General DDMS table rules*/

.ddmstable {
  margin: 10px 0;
  background-color: #d3d3d3;
  border: 1px solid #636;
}

.ddmstable>thead {
  background-color: #636;
  color: white;
}

.ddmstable>thead>tr>th {
  border-bottom: none;
}

.ddmstable th a, .ddmstable th a:hover, .ddmstable th a:active {
  color: white;
}

.wrap-text {
  -ms-word-wrap: break-word;
  word-wrap: break-word;
}

/*End general DDMS table rules*/

/*Responsive table styling */

.block-table {
  table-layout: fixed;
  width: 100%;
}

/* START - Variable list table settings */

.col-actions {
  float: left;
  width: 7%;
  color: white;
  margin-left: 2px;
  padding-left: 5px;
}

.list-row>.col-actions {
  margin-left: 0;
}

.list-row>.col-actions>input {
  margin-top: 6px;
}

.list-row>.col-actions>i {
  color: #020927;
  margin-left: 2px;
  vertical-align: 15%;
}

.col-name {
  float: left;
  width: 23%;
  overflow: hidden;
  white-space: nowrap;
  -ms-text-overflow: ellipsis;
  -o-text-overflow: ellipsis;
  text-overflow: ellipsis;
}

.col-desc {
  float: left;
  width: 60%;
}

.col-desc>p {
  margin: 0;
}

.col-clear {
  clear: left;
}

.infinite-scroll-header {
  background-color: #636;
}

.infinite-scroll-loading>i {
  color: #636;
}

.list-header {
  background-color: #636;
  font-weight: 700;
  height: 40px;
  line-height: 40px;
  position: relative;
}

.list-header a, .list-header a:hover, .list-header a:active {
  color: white !important;
}

.list-header i {
  color: white;
  padding: 5px;
}

.child-item-tbl th>a {
  color: white;
}

.child-item-tbl th>a:hover {
  color: white;
  text-decoration: underline;
}

.child-item-tbl th>i {
  color: white;
  padding: 5px;
}

.list-row-over>div {
  border: 2px dashed #636;
}

.rows-info {
  background-color: #636;
}

.col-sort-arrow {
  color: #fff;
}

/* END - Variable list table settings */

/* Anchored FAB top of list */

.fab {
  /*#020927*/
  background-color: #020927;
}

.fab:hover i {
  color: #020927;
}

/* END - Anchored FAB top of list */

.table>thead>tr>th, .table>tbody>tr>th, .table>tfoot>tr>th, .table>thead>tr>td, .table>tbody>tr>td, .table>tfoot>tr>td {
  border-top: 1px solid #636;
}

@media only screen and (max-width: 640px) {
  .col-actions, .col-clear {
    display: none;
  }
  .col-name, .col-desc {
    float: none;
    width: 100%;
  }
  .col-name>a, .col-desc>p, list-rows>ul>li>.list-row {
    padding-left: 5px;
  }
  /*#var-tbl-hide td:nth-child(4),
	#var-tbl-hide th:nth-child(4){display: none;}*/
  .child-item-tbl td:nth-child(2), .child-item-tbl th:nth-child(2) {
    display: none;
  }
  .block-table td {
    text-align: left;
  }
  /*
	Label the data
	*/
  .block-table td:nth-child(1):before {
    content: "";
  }
  .block-table td:nth-child(2):before {
    content: "";
  }
  .block-table td:nth-child(3):before {
    content: "";
  }
  .doc-block-table td:nth-child(1):before {
    content: "";
  }
  .doc-block-table td:nth-child(2):before {
    content: "";
  }
  .doc-block-table td:nth-child(3):before {
    content: "";
  }
  .doc-block-table td:nth-child(4):before {
    content: "";
  }
  .doc-block-table td:nth-child(5):before {
    content: "";
  }
  .doc-block-table td:nth-child(6):before {
    content: "";
  }
}

@media only screen and (max-width: 800px) {
  /* Force table to not be like tables anymore */
  .block-table table, .block-table thead, .block-table tbody, .block-table th, .block-table td, .block-table tr {
    display: block;
  }
  /* Hide table headers (but not display: none;, for accessibility) */
  .block-table thead tr {
    position: absolute;
    top: -9999px;
    left: -9999px;
  }
  .block-table tr {
    border: 1px solid #ccc;
  }
  .block-table td {
    /* Behave  like a "row" */
    border: none;
    position: relative;
    padding-left: 50%;
    white-space: normal;
    text-align: right;
  }
  .block-table td:before {
    /* Now like a table header */
    position: absolute;
    /* Top/left values mimic padding */
    top: 6px;
    left: 6px;
    width: 45%;
    padding-right: 10px;
    white-space: nowrap;
    text-align: left;
    font-weight: bold;
  }
  /*
	Label the data
	*/
  .block-table td:nth-child(1):before {
    content: "Selected";
  }
  .block-table td:nth-child(2):before {
    content: "Name";
  }
  .block-table td:nth-child(3):before {
    content: "Short Desc:";
  }
  .doc-block-table td:nth-child(1):before {
    content: "Study:";
  }
  .doc-block-table td:nth-child(2):before {
    content: "Group:";
  }
  .doc-block-table td:nth-child(3):before {
    content: "Delivery:";
  }
  .doc-block-table td:nth-child(4):before {
    content: "Dataset:";
  }
  .doc-block-table td:nth-child(5):before {
    content: "Name:";
  }
  .doc-block-table td:nth-child(6):before {
    content: "Type:";
  }
}

.crumbs {
  color: #777;
  font-size: 14px;
  padding: 0 20px;
  height: 100%;
  width: 100%;
  margin-bottom: 10px;
}

.crumbs:after {
  content: " ";
  display: block;
  clear: both;
}

.crumbs>a {
  float: right;
}

.crumbs>a>i {
  padding-right: 5px;
}

#studyCrumbs {
  list-style: none;
  display: inline-block;
  padding: 0;
  font-size: 16px;
  margin: 0;
  overflow-x: hidden;
  float: left;
  width: 80%;
}

#studyCrumbs .icon {
  font-size: 14px;
}

#studyCrumbs li {
  float: left;
  padding-bottom: 1px;
}

#studyCrumbs li a {
  display: block;
  text-decoration: none;
  position: relative;
  height: 30px;
  line-height: 30px;
  padding: 0 15px 0 15px;
  text-align: center;
  font-size: 16px;
  border: 1px solid #fff;
  border-radius: 4px 0 0 4px;
}

#studyCrumbs li:first-child a {
  padding-left: 15px;
}

#studyCrumbs li:last-child a {
  padding-right: 15px;
}

li .study-crumb {
  background-color: #636;
  color: #fff;
}

li .study-crumb:after {
  background: #636;
  content: "";
  height: 20px;
  margin-top: -10px;
  position: absolute;
  right: -10px;
  top: 50%;
  width: 20px;
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  transform: rotate(45deg);
  border-top: 1px solid #fff;
  border-right: 1px solid #fff;
}

li:last-child .study-crumb, li:last-child .study-crumb:after {
  background-color: #777;
  color: #fff;
}

li:last-child .study-crumb:hover, li:last-child .study-crumb:hover:after {
  cursor: default;
}

li .study-crumb:hover, li .study-crumb:hover:after {
  background-color: #020927;
  color: #fff;
}

li .study-crumb:active, li .study-crumb:active:after {
  background-color: #337ab7;
}

@media only screen and (max-width: 991px) {
  #studyCrumbs {
    overflow-x: visible;
  }
}

@media only screen and (max-width: 640px) {
  #studyCrumbs {
    width: 100%;
  }
  #studyCrumbs li {
    float: none;
  }
  #studyCrumbs li:first-child {
    padding-left: 0;
  }
  .crumbs>a {
    float: left;
  }
}

/* Start Menu CSS Styling */

.menu {
  position: fixed;
  z-index: 11001;
  background-color: var(--menu-background-color);
  -webkit-transition: transform 0.2s;
  -moz-transition: transform 0.2s;
  -o-transition: transform 0.2s;
  transition: transform 0.2s;
}

.menu-items {
  list-style: none;
  margin: 0;
  padding: 0;
}

.menu-close {
  color: #fff;
  background-color: var(--menu-background-color);
  font-size: 14px;
  border: none;
  box-shadow: none;
  border-radius: 0;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  cursor: pointer;
}

.menu-close:focus {
  outline: none;
}

.menu-item {
  background-color: #337ab7;
}

.menu-item>i {
  color: var(--menu-color);
}

.menu-item:hover {
  background-color: #98C6EF;
}

body.has-active-menu {
  overflow: hidden;
}

/*Styling for for mask to cover area not covered by menu */

.slide-mask {
  position: fixed;
  z-index: 11000;
  top: 0;
  left: 0;
  overflow: hidden;
  width: 0;
  height: 0;
  background-color: #000;
  opacity: 0;
  -webkit-transition: opacity 0.3s, width 0s 0.3s, height 0s 0.3s;
  -moz-transition: opacity 0.3s, width 0s 0.3s, height 0s 0.3s;
  -o-transition: opacity 0.3s, width 0s 0.3s, height 0s 0.3s;
  transition: opacity 0.3s, width 0s 0.3s, height 0s 0.3s;
}

.slide-mask.is-active {
  width: 100%;
  height: 100%;
  opacity: 0.7;
  -webkit-transition: opacity 0.3s;
  -moz-transition: opacity 0.3s;
  -o-transition: opacity 0.3s;
  transition: opacity 0.3s;
}

.slide-menu-right, .push-menu-right {
  width: 100%;
  height: 100%;
  overflow-y: scroll;
}

@media all and (min-width: 320px) {
  .slide-menu-right, .push-menu-right {
    width: 300px;
  }
}

.slide-menu-right .menu-item, .push-menu-right .menu-item {
  display: block;
  text-align: center;
  border-top: solid 1px #E3EEF3;
  border-bottom: solid 1px #B3C0CA;
  padding: 5px;
}

.slide-menu-right .menu-item:first-child, .push-menu-right .menu-item:first-child {
  border-top: none;
}

.slide-menu-right .menu-item:last-child, .push-menu-right .menu-item:last-child {
  border-bottom: none;
}

.slide-menu-right .menu-link, .push-menu-right .menu-link {
  display: block;
  padding: 5px;
  color: #fff;
}

.slide-menu-right .menu-close, .push-menu-right .menu-close {
  display: block;
  padding: 5px;
  width: 100%;
}

.slide-menu-right, .push-menu-right {
  top: 0;
  right: 0;
  -webkit-transform: translateX(100%);
  -moz-transform: translateX(100%);
  -ms-transform: translateX(100%);
  -o-transform: translateX(100%);
  transform: translateX(100%);
}

@media all and (min-width: 320px) {
  .slide-menu-right, .push-menu-right {
    -webkit-transform: translateX(300px);
    -moz-transform: translateX(300px);
    -ms-transform: translateX(300px);
    -o-transform: translateX(300px);
    transform: translateX(300px);
  }
}

.slide-menu-right.is-active, .slide-menu-push-right.is-active {
  -webkit-transform: translateX(0);
  -moz-transform: translateX(0);
  -ms-transform: translateX(0);
  -o-transform: translateX(0);
  transform: translateX(0);
}

.slide-wrapper.has-push-right {
  -webkit-transform: translateX(-100%);
  -moz-transform: translateX(-100%);
  -ms-transform: translateX(-100%);
  -o-transform: translateX(-100%);
  transform: translateX(-100%);
}

@media all and (min-width: 320px) {
  .slide-wrapper.has-push-right {
    -webkit-transform: translateX(-300px);
    -moz-transform: translateX(-300px);
    -ms-transform: translateX(-300px);
    -o-transform: translateX(-300px);
    transform: translateX(-300px);
  }
}

/* End Menu CSS Styling */

/* Start CSS from Noemi*/

body {
    font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
    color: black;
    /*design elements*/
    background-color: var(--body-background-color);
    /*design elements end*/
    margin: 10px 20px;
    font-size: 1.25em;
    line-height: 1.25;
}

/*Top level div*/

body>div:first-child {
  position: relative;
}

.container-fluid {
  -webkit-border-radius: 10px 10px 10px 10px;
  -moz-border-radius: 10px 10px 10px 10px;
  border-radius: 10px 10px 10px 10px;
  background: #fff;
}

.contactus {
  margin: 5px;
}

.pagepad {
  border-radius: 10px;
  padding: 35px 20px 5px 20px;
  border: 0 solid #ccc;
  background-color: white;
}

h1 {
  font-size: 24px;
}

h2 {
  font-size: 22px;
}

h3 {
  font-size: 20px;
}

a:active {
  color: #263248;
}

a:hover, a:focus {
  color: #263248;
  cursor: pointer;
  text-decoration: none;
}

h1, h2, h3, h4, h5 {
  color: var(--secondary-color);
}

i {
  color: #585757;
}

.btn-group i {
  color: var(--secondary-color);
  margin-right: 5px;
}

.btn-group>button {
  color: var(--secondary-color);
}

.ddms-login-img {
  padding: 0 10px 10px 10px;
  margin-left: auto;
  margin-right: auto;
}

.alert-container {
  position: fixed;
  top: 100px;
  z-index: 199;
  left: 0;
  right: 0;
  margin: 10px 30px 10px 30px;
}

/* END Noemi CSS*/

/* START - Overrides*/

.search-container>span {
  background-color: #D3D3D3;
  color: #fff;
}

.search-container>span>i {
  color: #636;
}

.search-container .form-control, .search-container .input-group-addon {
  border: 1px solid #777;
}

.search-container .input-group-addon {
  border-right: none;
  padding: 10px;
}

/* END - Overrides*/

/* Move to standard, basic css file*/

.float-right {
  float: right;
}

.float-left {
  float: left;
}

.rel-height-container {
  position: relative;
  height: 100%;
}

.white {
  color: white;
}

/* END */

/* Begin header,content & footer CSS Styling */

header {
  /*background-image: url('assets/wave.jpg');*/
  background-position: 50px;
  width: 100%;
  height: 80px;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 10000;
  background-color: var(--header-background-color); /* #020927;*/
  margin: 0 !important;
}
 
#flyout {
  position: absolute;
  background-color: white;
  border: 1px solid #B3C0CA;
  right: 10px;
  padding: 10px;
  top: 45px;
}

#navPanel>.rounded-corners>div {
  padding: 0 10px 0 10px;
  position: relative;
  height: 80px;
}

.img-panel {
  width: 60%;
  float: left;
  position: relative;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
  transform: translateY(-50%);
}

.img-panel>img {
  margin-left: 10px;
  border: 2px solid var(--image-panel-boarder-color); /*#0069AA;*/
  border-radius: 5px;
}

.spacer-panel {
  width: 30%;
  float: left;
  margin-top: 15px;
}

.nav-panel {
  float: right;
  position: relative;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
  transform: translateY(-50%);
}

.nav-panel > a {
    font-size: 14px;
    color: white !important; /*[SR-3/25/2022]: added to force white on the links*/
}

.nav-panel > a > i {
    padding-right: 5px;
    color: white !important; /*[SR-3/25/2022]: added to force white on the links*/
}

footer {
  padding: 10px 10px;
  border-top: 1px solid #ccc;
  margin-top: 5px;
  background-color: white;
}

.footer-pad {
  padding-top: 0;
}

footer>div>img, footer>div>p {
  margin: 5px 0 5px 0;
}

footer>.default-panel {
  padding: 5px;
}

.img-footer {
  float: left;
  margin: 5px;
  width: 225px;
  margin-left: auto;
  margin-right: auto;
}

footer .contactus {
  float: right;
  line-height: 3em;
}

/* End header,content & footer CSS Styling */

/* Start DDMS view CSS Styling */

.main-view {
  min-height: 650px;
  padding-top: 75px;
  /*Makes up for banner\header overlap*/
}

.variables-view>.btn-group li>a {
  color: #265a88;
}

.ddms-view-title>h1 {
  float: left;
  color: #585757;
  margin-top: 20px;
  margin-bottom: 20px;
}

.ddms-view-title>h3 {
  float: left;
  color: #585757;
  text-align: center;
  margin-top: 20px;
  margin-bottom: 20px;
}

.ddms-view-title>div {
  float: right;
  margin-top: 15px;
}

/* End DDMS views CSS Styling */

/* Start animations CSS Styling */

[ui-view].ng-enter {
  -webkit-animation: 0.2s fade-in;
  -moz-animation: 0.2s fade-in;
  -o-animation: 0.2s fade-in;
  animation: 0.2s fade-in;
  z-index: 99;
}

[ui-view].ng-leave {
  display: none;
}

@keyframes fade-in {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@-moz-keyframes fade-in {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@-webkit-keyframes fade-in {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@keyframes fade-out {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}

@-moz-keyframes fade-out {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}

@-webkit-keyframes fade-out {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}

/* End animations CSS Styling */

/* Grid styling */

.row-eq-height {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}

.row-eq-padding>.col-md-4 {
  padding-right: 0;
}

/* END - Grid styling */

/* Styling for content views */

.views {
  font-size: 14px;
  /*background-color:white;*/
}

.views .card-content {
  padding-top: 0;
}

.view-heading {
  height: 30px;
  position: relative;
  margin: 10px 0;
}

.view-heading>.nav-links {
  float: right;
  text-align: right;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
  transform: translateY(-50%);
  position: relative;
  font-size: 14px;
}

.nav-links i {
  padding-right: 5px;
}

.view-item {
  text-align: left;
  padding: 0 20px 20px 20px;
}

/* END - Styling for content views */

/* Modal dialog styling */

.modal-content {
  margin-top: 150px;
  border: 2px solid #020927;
}

.modal-footer {
  border-top: 1px solid #020927;
}

.modal-header {
  border-bottom: 1px solid #020927;
  background-color: #020927;
}

.modal-header h3 {
  color: white;
}

.modal-body>div {
  font-size: 14px;
}

.modal-body strong {
  color: #636;
}

/* END - Modal dialog styling */

.action-mask {
  position: fixed;
  z-index: 11000;
  top: 0;
  left: 0;
  overflow: hidden;
  width: 0;
  height: 0;
  background-color: #000;
  opacity: 0;
  -webkit-transition: opacity 0.3s, width 0s 0.3s, height 0s 0.3s;
  -moz-transition: opacity 0.3s, width 0s 0.3s, height 0s 0.3s;
  -o-transition: opacity 0.3s, width 0s 0.3s, height 0s 0.3s;
  transition: opacity 0.3s, width 0s 0.3s, height 0s 0.3s;
}

.action-mask.is-active {
  width: 100%;
  height: 100%;
  opacity: 0.7;
  -webkit-transition: opacity 0.3s;
  -moz-transition: opacity 0.3s;
  -o-transition: opacity 0.3s;
  transition: opacity 0.3s;
}

.panel {
  background-color: #FBFBFB;
}

/*
 * Row with equal height columns
 * --------------------------------------------------
 */

/*.row-eq-height {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display:         flex;
}*/

/*
 * TEST CLASSES: - Styles copied from the Grid example to make grid rows & columns visible.
 */

/*.container {
  padding-right: 15px;
  padding-left: 15px;
}

h4 {
  margin-top: 25px;
}
.row {
  margin-bottom: 20px;
}
.row .row {
  margin-top: 10px;
  margin-bottom: 0;
}
[class*="col-"] {
  padding-top: 15px;
  padding-bottom: 15px;
  background-color: #eee;
  background-color: rgba(86,61,124,.15);
  border: 1px solid #ddd;
  border: 1px solid rgba(86,61,124,.2);
}*/

.ui-widget-header {
  position: absolute !important;
  top: 0;
  right: 0;
  border: 3px solid #020927;
  z-index: 1003;
}

.dnd-target {
  position: absolute !important;
  top: 5px;
  right: 5px;
  z-index: 1;
  opacity: .75;
  padding: 5px;
  background-color: lightgrey;
  border: 3px solid #020927;
}

.dnd-over {
  padding: 2px;
  background-color: whitesmoke;
  border: 1px solid #020927;
}

.dnd-target>i {
  font-size: 10em;
  text-align: center;
  display: block;
  color: #663366;
}

.dnd-target>p {
  margin: 0;
  font-weight: bold;
  color: #262C4D;
}

.dnd-over>i {
  font-size: 1em;
}

.dnd-hide-target {
  display: none;
}

.dnd-show-target {
  display: block;
}

.scroll-container>p {
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

@media only screen and (max-width: 400px) {
    body {
        font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
        font-size: 1.25em;
    }
  h1 {
    font-size: 20px;
  }
  h2 {
    font-size: 18px;
  }
  h3 {
    font-size: 16px;
  }
}

@media all and (max-width: 640px) {
  header {
    height: 60px;
  }
  #navPanel>.rounded-corners>div {
    height: 60px;
  }
  .main-view {
    padding-top: 40px;
    /*Makes up for banner\header overlap*/
  }
  .img-footer, footer .contactus {
    float: none;
  }
  footer .contactus {
    margin-top: 15px;
    line-height: 1.5em;
    text-align: center;
  }
  .ddms-view-title>h1, .ddms-view-title>h3, .ddms-view-title>.btn-group {
    float: none;
    margin: 0;
  }
}

@media only screen and (max-width: 800px) {
    body {
        font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
        font-size: 1.5em;
    }
  h1 {
    font-size: 22px;
  }
  h2 {
    font-size: 20px;
  }
  h3 {
    font-size: 18px;
  }
  .pagepad {
    padding: 35px 5px 5px;
    min-width: 250px;
  }
  .nav-panel {
    position: static;
    top: 0;
    -webkit-transform: none;
    -moz-transform: none;
    -ms-transform: none;
    -o-transform: none;
    transform: none;
  }
  .img-panel {
    position: static;
    top: 0;
    -webkit-transform: none;
    -moz-transform: none;
    -ms-transform: none;
    -o-transform: none;
    transform: none;
  }
  .img-panel>img {
    height: 50px;
    margin: 5px 0;
  }
  .nav-panel>i {
    padding-right: 0;
  }
  .main-view {
    padding-top: 60px;
    /*Makes up for banner\header overlap*/
  }
  .row-eq-padding>.col-md-4 {
    padding-right: 15px;
  }
.view-heading {
    margin-top: 20px;
    height: 100%;
}
  .view-heading>.nav-links {
    float: none;
    text-align: left;
    top: 0;
    -webkit-transform: none;
    -moz-transform: none;
    -ms-transform: none;
    -o-transform: none;
    transform: none;
  }
}

@media only screen and (max-width: 991px) {
  .row-eq-padding>.col-md-4 {
    padding-right: 15px;
  }
  .action-container {
    width: 100%;
    left: 0;
  }
}

.datatables_header_color {
    background-color: #636 !important;
}

.loader {
    border: 16px solid #f3f3f3;
    border-radius: 50%;
    border-top: 16px solid #3498db;
    width: 120px;
    height: 120px;
    -webkit-animation: spin 2s linear infinite; /* Safari */
    animation: spin 2s linear infinite;
}

/* Safari */
@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

 